Bug 428321 - Unexpected hibernation on T40 laptop [NEEDINFO]
Unexpected hibernation on T40 laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 15:10 EST by Albert Bartok-Partay
Modified: 2013-03-05 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
richard: needinfo? (a_bartok)


Attachments (Terms of Use)

  None (edit)
Description Albert Bartok-Partay 2008-01-10 15:10:56 EST
Description of problem:

Thinkpad T40 laptop running on battery power hibernates 'spontaneously', after
20 minute usage. Battery power is sufficient, around 91%. Power management (on
battery power) settings are sane:
put computer to sleep when inactive for: NEVER. etc.


Version-Release number of selected component (if applicable):
gnome-power-manager-2.20.0-6.fc8

How reproducible:
100%

Steps to Reproduce:
1. Unplug AC power
2. Use laptop normally for about 20 minutes
3.
  
Actual results:
System hibernates

Expected results:
System keeps working.

Additional info:
in /var/log/messages:

Jan 10 20:47:08 localhost gnome-power-manager: (cico) Hibernating computer
because System idle
Comment 1 James Gregory 2008-04-28 18:18:24 EDT
I've noticed something similar on my Sony Vaio VGN-NR21J with Fedora 9 Preview
(aka Rawhide). The system goes into hibernation mode, citing "system idle" in
/var/log/messages. I have all settings for sleep, turn display off, etc. set to
never, so this shouldn't be happening.
Comment 2 Richard Hughes 2008-04-30 05:14:05 EDT
Albert, what was the g-p-m output in /var/log/messages?
Comment 3 James Gregory 2008-04-30 16:16:22 EDT
Hope you don't mind me butting in, but here is the output from my /var/log/messages:

Apr 28 18:58:56 ljam gnome-power-manager: (james) Hibernating computer. Reason:
System idle.
Apr 28 19:19:31 ljam gnome-power-manager: (james) Resuming computer
Apr 28 22:54:49 ljam gnome-power-manager: (james) Hibernating computer. Reason:
System idle.
Apr 28 22:55:07 ljam gnome-power-manager: (james) Resuming computer
Apr 29 07:57:03 ljam gnome-power-manager: (james) Resuming computer
Apr 29 08:48:36 ljam gnome-power-manager: (james) Resuming computer
Apr 29 10:48:12 ljam gnome-power-manager: (james) Resuming computer
Apr 30 10:40:43 ljam gnome-power-manager: (james) Hibernating computer. Reason:
System idle.
Apr 30 10:41:13 ljam gnome-power-manager: (james) Resuming computer
Apr 30 11:30:23 ljam gnome-power-manager: (james) Hibernating computer. Reason:
System idle.
Apr 30 11:31:48 ljam gnome-power-manager: (james) Resuming computer
Apr 30 19:57:32 ljam gnome-power-manager: (james) Hibernating computer. Reason:
System idle.
Apr 30 19:58:12 ljam gnome-power-manager: (james) Resuming computer

It seems the computer is randomly hiberating (I can't find anything in
/var/log/messages to suggest the reason for the hiberation), but then resumes
less than a minute later. It's quite inconvenient, especially since I can find
no reason for it doing it.
Comment 4 Bug Zapper 2008-11-26 04:22:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:45:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.